---
title: text-decoration-skip-ink
slug: Web/CSS/text-decoration-skip-ink
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Experimental
  - Layout
  - Reference
  - Web
  - 'recipe:css-property'
  - text-decoration-skip-ink
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>text-decoration-skip-ink</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies how overlines and underlines are drawn when they pass over glyph ascenders and descenders.</span></p>

<div>{{EmbedInteractiveExample("pages/css/text-decoration-skip-ink.html")}}</div>

<p><code>text-decoration-skip-ink</code> is not part of the {{cssxref("text-decoration")}} shorthand.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single keyword */
text-decoration-skip-ink: none;
text-decoration-skip-ink: auto;
text-decoration-skip-ink: all;

/* Global keywords */
text-decoration-skip: inherit;
text-decoration-skip: initial;
text-decoration-skip: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Underlines and overlines are drawn across the full length of the text content, including parts that cross over glyph descenders and ascenders.</dd>
 <dt><code>auto</code></dt>
 <dd>The default — the browser <em>may</em> interrupt underlines and overlines so that they do not touch or closely approach a glyph. That is, they are interrupted where they would otherwise cross over a glyph.</dd>
 <dt><code>all</code></dt>
 <dd>The browser <em>must</em> interrupt underlines and overlines so that they do not touch or closely approach a glyph. This can be helpful with certain Chinese, Japanese, or Korean (CJK) fonts, where the <code>auto</code> behavior might not create interruptions.</dd>
 <dd><img alt='An example of "text-decoration-skip-ink".' src="https://mdn.mozillademos.org/files/13464/decoration-skip-ink.png"></dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;You should go on a quest for a cup of coffee.&lt;/p&gt;
&lt;p class="no-skip-ink"&gt;Or maybe you'd prefer some tea?&lt;/p&gt;
&lt;p&gt;この文は、 text-decoration-skip-ink: auto の使用例を示しています。&lt;/p&gt;
&lt;p class="skip-ink-all"&gt;この文は、 text-decoration-skip-ink: all の使用例を示しています。&lt;/p&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css; highlight[4] notranslate">p {
  font-size: 1.5em;
  text-decoration: underline blue;
  text-decoration-skip-ink: auto; /* this is the default anyway */
}

.no-skip-ink {
  text-decoration-skip-ink: none;
}

.skip-ink-all{
  text-decoration-skip-ink: all;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "100%", 250)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Text Decoration", "#text-decoration-skip-ink-property", "text-decoration-skip-ink")}}</td>
   <td>{{Spec2("CSS4 Text Decoration")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration-skip-ink")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref('text-decoration')}}</li>
 <li>{{cssxref('text-decoration-skip')}}</li>
</ul>
